Main Page Packages Class Hierarchy Compound List File List Compound Members

# nodeelementnodevalue Class Reference

Inherits DOMTestCase.

List of all members.

## Public Methods
| nodeelementnodevalue (DOMTestDocumentBuilderFactory factory)
void | runTest () throws java.lang.Throwable
String | getTargetURI ()
## Static Public Methods
void | main (String[] args)

## Detailed Description

The string returned by the "getNodeValue()" method for an

Element Node is null.

Retrieve the root node of the DOM object and check the

string returned by the "getNodeValue()" method.

It should be equal to null.

Author:
  NIST , Mary Brady

See also:
  http://www.w3.org/TR/1998/REC-DOM-Level-1-19981001/level-one-core#ID-F68D080

Definition at line 51 of file nodeelementnodevalue.java.

## Constructor & Destructor Documentation

nodeelementnodevalue::nodeelementnodevalue | ( | DOMTestDocumentBuilderFactory | factory | ) | `[inline]`

| Definition at line 53 of file nodeelementnodevalue.java.
    00054  {
    00055       super(factory);
    00056
    00057    }

## Member Function Documentation

String nodeelementnodevalue::getTargetURI | ( |  | ) | `[inline, virtual]`

| Reimplemented from DOMTest. Definition at line 69 of file nodeelementnodevalue.java.
    00069                                 {
    00070       return "http://www.w3.org/2001/DOM-Test-Suite/level1/core/nodeelementnodevalue";
    00071    }

void nodeelementnodevalue::main | ( | String | args[] | ) | `[inline, static]`

| Definition at line 72 of file nodeelementnodevalue.java. References DOMTestCase::doMain().
    00072                                           {
    00073         DOMTestCase.doMain(nodeelementnodevalue.class,args);
    00074    }

void nodeelementnodevalue::runTest | ( |  | ) | `[inline, virtual]`

| Reimplemented from DOMTestCase. Definition at line 59 of file nodeelementnodevalue.java. References DOMTestCase::assertNull(), and DOMTest::load().
    00059                                                     {
    00060       Document doc;
    00061       Element elementNode;
    00062       String elementValue;
    00063       doc = load("staff");
    00064       elementNode = doc.getDocumentElement();
    00065       elementValue = elementNode.getNodeValue();
    00066       assertNull("nodeElementNodeValueAssert1",elementValue);
    00067
    00068    }

The documentation for this class was generated from the following file:

- nodeelementnodevalue.java